Class | Tk::Iwidgets::Scopedobject
In: | tk/lib/tkextlib/iwidgets/scopedobject.rb
Parent: | TkObject

### Methods

new

### Constants

TkCommandNames | = | ['::iwidgets::scopedobject'.freeze].freeze
WidgetClassName | = | 'Scopedobject'.freeze

### Public Class methods

new(obj_name, keys={})

[Source]

    # File tk/lib/tkextlib/iwidgets/scopedobject.rb, line 21
      def initialize(obj_name, keys={})
        @path = tk_call(self.class::TkCommandNames[0], obj_name, *hash_kv(keys))
      end

[Validate]